Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlewManager Class Reference

`#include <GlewManager.h>`

Collaboration diagram for tlp::GlewManager:

[legend]
List of all members.

## Detailed Description

Singleton used to manage Glew.

Singleton used to manage Glew.

## Public Member Functions

- void initGlew ()
- bool glewIsInit ()
- bool canUseGlew ()

## Static Public Member Functions

- static GlewManager & getInst ()

## Member Function Documentation

bool tlp::GlewManager::canUseGlew | ( |  | ) | `[inline]`

| Return if glew can be used

static GlewManager& tlp::GlewManager::getInst | ( |  | ) | `[inline, static]`

| Return the current instance. If instance doesn't exist, create it.

bool tlp::GlewManager::glewIsInit | ( |  | ) | `[inline]`

| Glew is init

void tlp::GlewManager::initGlew | ( |  | ) | `[inline]`

| Init Glew

Tulip Software by LaBRI Visualization Team 2001 - 2010